=== kernel/unwind/Makefile ===
 obj-$(CONFIG_UNWIND_USER)	+= user.o deferred.o
