=== debian/changelog ===
linux (6.17.2-1~exp1) experimental; urgency=medium

  * New upstream release. (Closes: #1114898)
  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.1
  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.2

  [ Bastian Blank ]
  * Drop rc from abiname.
  * Move all package build-deps to specific templates.
  * Enable MHP_DEFAULT_ONLINE_TYPE_ONLINE_AUTO.
  * Use more debhelper files.
  * Cleanup orig target.
  * Drop some Secure Boot backward compatibility:
    - Only trust Machine Owner Key (MOK) if enabled.
    - Don't longer use UEFI DBX for module denylisting.

  [ Salvatore Bonaccorso ]
  * net: ipv4: fix regression in local-broadcast routes
  * drivers/leds/trigger: Enable LEDS_TRIGGER_INPUT_EVENTS as module
    (Closes: #1113681)
  * Compile with gcc-15 on all architectures
  * Disable bcachefs filesystem support (Closes: #1112681)
    - linux-image: Add NEWS entry documenting disabled bcachefs support
  * linux-cpupower: Install files for cpupower.service systemd service
    (Closes: #894906)
  * drivers/net/phy/realtek: Enable REALTEK_PHY_HWMON (Closes: #1115492)

  [ Santiago Ruano Rincón ]
  * d/salsa-ci.yml: Merge the extract-source job into the build's job script
  * d/salsa-ci.yml: Suppress unreleased changes and mismatching distribution
    lintian tags.
  * d/salsa-ci.yml: Early move orig tarballs back where they can be cached

  [ Aurelien Jarno ]
  * [riscv64] Enable ACLINT_SSWI
  * [riscv64] Enable ARCH_ANDES
  * [riscv64] Enable PCIE_SOPHGO_DW, enable RTC_DRV_CV1800 and
    SOPHGO_CV1800B_DMAMUX as modules

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Adjust filenames to allow source package name suffix
  * binder: Add module description, fixing warning from modpost
  * tools/hv: Make the sample hv_get_dhcp_info script more useful
  * hyperv-daemons: Install the sample network info scripts (Closes: #919350)

  [ Yunseong Kim ]
  * mm/damon: Enable DAMON_STAT

  [ Ferenc Fejes ]
  * net/sched: Enable eBPF Qdisc as builtin

 -- Bastian Blank <waldi@debian.org>  Mon, 13 Oct 2025 20:48:23 +0200
